com.dlsc.flexgantt.swing.print

## Class SimpleGranularityPrintManager

- java.lang.Object
- - com.dlsc.flexgantt.swing.print.AbstractPrintManager
  - - com.dlsc.flexgantt.swing.print.SimpleGranularityPrintManager

- All Implemented Interfaces:
    IPrintManager

      public class SimpleGranularityPrintManager
      extends AbstractPrintManager

  A concrete implementation of a print manager that can be used when the currently used dateline model is an instance of `SimpleGranularityDatelineModel`.
  Since:
    1.0
  Version:
    $Revision: 1.3 $
  Author:
    Dirk Lemmermann

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleGranularityPrintManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JComponent` | `createTimelineControl(Timeline timeline)` Creates the control to change the printed time span.

    - ### Methods inherited from class com.dlsc.flexgantt.swing.print.AbstractPrintManager

      `createPreviewDialog, getPageFormat, getPrintContext, getPrinterJob, getPrintGanttChart, print, setPageFormat`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleGranularityPrintManager

          public SimpleGranularityPrintManager()

  - ### Method Detail

    - #### createTimelineControl

          public JComponent createTimelineControl(Timeline timeline)

      Description copied from interface: `IPrintManager`
      Creates the control to change the printed time span. This control depends on the currently used dateline model.
      Parameters:
        `timeline` - the timeline that will be managed by the controls
      Returns:
        an arbitrary component for editing the time span of the timeline

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.